#define AppName "PDF Page Extract"
#define AppVersion "1.0.2"
#define AppPublisher "Daniel Beardsmore"
#define AppURL "https://telcontar.net/Software/PDFPageExtract/"
#define AppExe AppName + ".exe"

[Setup]
AppId={{098B2CC1-D392-4474-BD55-3E29486C34A9}
AppName={#AppName}
AppVersion={#AppVersion}
AppVerName={#AppName} {#AppVersion}
AppPublisher={#AppPublisher}
AppPublisherURL={#AppURL}
AppSupportURL={#AppURL}
AppUpdatesURL={#AppURL}
DefaultDirName={pf}\Telcontar\{#AppName}
DefaultGroupName=Telcontar
AllowNoIcons=yes
OutputBaseFilename={#AppName} setup
OutputDir=.
SetupIconFile=Installer.ico
Compression=lzma
SolidCompression=yes
UninstallDisplayIcon={app}\{#AppExe}
LicenseFile=Build\Licence.txt
ChangesAssociations=false
ArchitecturesInstallIn64BitMode=x64
ArchitecturesAllowed=x64

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Files]
Source: "Build\{#AppExe}"; DestDir: "{app}"; Flags: ignoreversion
Source: "Build\Licence.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "Build\Readme.html"; DestDir: "{app}"; Flags: ignoreversion isreadme
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\{#AppName}"; Filename: "{app}\{#AppExe}"
Name: "{group}\{#AppName} readme"; Filename: "{app}\Readme.html"